module.exports = function(grunt) {

  grunt.initConfig({ 
    qunit: {
      options: {
        // El tiempo máximo de espera para que comiencen las pruebas son: 2 segundos 
        timeout: 2000,
        // Mostrar en la línea de comandos el resultado de PhantomJS
        console: false, 
        // Continuar con otra(s) tarea(s) - si hubiera - cuando exista un error en una prueba.
        force: true,
      },
      // La prueba a realizar
       prueba: ['qunit-snippets/pruebas.html']
     }
  });

  grunt.loadNpmTasks('grunt-contrib-qunit');
     
  grunt.registerTask("default", ['qunit']);
};