QUnit.module("Módulo 1");

test( "js-code-01", function( assert ) {
  var obj1 = { 
    foo: "bar", 
    bar: "baz"
  };

  var obj2 = { 
    foo: "bar", 
    bar: "baz"
  };

  deepEqual(obj1, obj2, "Los valores deben ser idénticos.");
});

test( "js-code-02", function() {
  var numero = 1;
  var texto = 1;

  equal(numero, texto, "Los valores deben ser iguales o idénticos. No importa el tipo de dato si el valor es el mismo.");
});

  
test( "js-code-03", function( assert ) {
  var obj3 = false; 
  notDeepEqual(true, obj3, "Los valores no deben ser idénticos.");   
});
  
  
test( "js-code-04", function( assert ) {
  var numero = 2;
  var texto = "dos";
  notEqual(numero, texto, "Los valores no deben ser iguales.");
});

QUnit.module("Módulo 2");

test("js-code-05", function( assert ) {  
  var numero = 1;
  var texto = "1";
  notStrictEqual(numero, texto, "Los valores deben de ser iguales o idénticos.");
});

test( "js-code-06", function( assert ) {
  var variable = true;
  ok(variable, "Debe ser un valor de verdad");
});  


test("js-code-07", function( assert ) {  
  var valor = 1;
  var otro_valor = 1;
  strictEqual(valor, otro_valor, "Los valores deben ser idénticos.");
});


test( "js-code-08", function( assert ) {
  var mensaje = "Esto es una excepción.";

  function excepcion() {
    throw "Esto es una excepción.";
  };

  throws( excepcion, mensaje, "El mensaje de la excepción debe ser igual al mensaje esperado");
});
