describe("Funciones", function () {
    
  describe("Cuando no tienen valor asignado", function () {
    it("suma dos números", function () {
      var resultado = sumar(undefined, 4);
      expect(resultado).toBe(4);
    });

    it("resta dos números", function () {
      var resultado = restar(undefined, 2);
      expect(resultado).toBe(-2);
    });

    it("multiplica dos números", function () {
      var resultado = multiplicar(undefined, 4);
      expect(resultado).toBe(0);
    });

    it("divide dos números", function () {
      var resultado = dividir(undefined, 2);
      expect(resultado).toBe(0.5);
    });
  });

  describe("Cuando tienen valor asignado", function () {
    it("suma dos números", function () {
      var resultado = sumar(2, 4);
      expect(resultado).toBe(6);
    });

    it("resta dos números", function () {
      var resultado = restar(4, 2);
      expect(resultado).toBe(2);
    });

    it("multiplica dos números", function () {
      var resultado = multiplicar(2, 4);
      expect(resultado).toBe(8);
    });

    it("divide dos números", function () {
      var resultado = dividir(4, 2);
      expect(resultado).toBe(2);
    });
  });

});